<?php

namespace Netzmacher\Deal\Utility\Debug;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2019 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package TYPO3
 * @subpackage deal
 * @version     8.0.0
 * @since       8.0.0
 */
class Console
{

	/**
	 * log( ): 
	 *
	 * @param	mixed			$data: 
	 * @param	string		$method: 
	 * @param	string		$line: 
	 * @param	boolean		$prompt: 
	 * @return	string		$path : absolute path or false in case of an error
	 * @access public
	 * @since       8.9.6
	 * @version     8.9.6
	 */
	static function log( $data, $method, $line, $prompt = false )
	{
		// RETURN : Don't output debug prompt
		if( !$prompt )
		{
			return;
		}

		$output = $data;
		if( empty( $output ) )
		{
			echo "<script>"
			. "console.log( '" . $method . "' + ' #" . $line . "' );"
			. "</script>";
			return;
		}

//		if( is_object( $output ) )
//		{
//			$output = 'Sorry: non printable object';
//		}
		if( is_array( $output ) )
		{
			$output = implode( ',', $output );
		}

		if( is_string( $output ) )
		{
			echo "<script>" . PHP_EOL
			. "  console.log( '" . $method . "' + ' #" . $line . ": " . $output . "' );" . PHP_EOL
			. "</script>" . PHP_EOL;
			return;
		}
		echo "<script>" . PHP_EOL
		. "  console.log( '" . $method . "' + ' #" . $line . ":' );" . PHP_EOL
//		. "  console.log( 'See prompt on top of the window' );" . PHP_EOL
		. "</script>" . PHP_EOL;
//		echo $method . "#" . $line . ":";
//		echo "<pre>" . var_export( $output, true ) . "</pre>" . PHP_EOL;
	}

}
