<?php

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * ************************************************************************
 *
 * Index
 *
 * constants
 * TCA ctrl
 * TCA interface
 * TCA columns
 * TCA palettes
 * TCA types
 * ************************************************************************ */

/* * ************************************************************************
 * constants
 * ************************************************************************ */

// Configuration by the extension manager
$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'deal' ] );

// values of the ebay marketplace
$ebayMarketplace = $confArr[ 'ebayMarketplace' ];
if( empty( $ebayMarketplace ) )
{
	$ebayMarketplace = 'US - EBAY-US/USD (0)';
}
list( $country, $ebayCode ) = explode( ' - ', $ebayMarketplace );
list( $globalId, $currencyAndSiteid) = explode( '/', $ebayCode );
list( $currency, $siteId) = explode( ' ', $currencyAndSiteid );
$ebayMarketplaceCountry = $country;
$ebayMarketplaceCurrency = $currency;
$ebayMarketplaceGlobalId = $globalId;
$ebayMarketplaceSiteId = trim( $siteId, '()' );
// values of the ebay marketplace

$SiteID = sprintf( '%03d', $ebayMarketplaceSiteId );
$tx_deal_ebaycategories = 'tx_deal_ebaycategories_' . $SiteID;
$tx_deal_ebayshippingservicecode = 'tx_deal_ebayshippingservicecode_' . $SiteID;

// constants
$int_div_position = 6; // ..., 5. div[Images], 6. div[deal], 7. div[controlling], ...
// #t2174, 180315, dwildt, 1-
//t3lib_div::loadTCA( 'tx_quickshop_products' );

/* * ************************************************************************
 * TCA ctrl
 * ************************************************************************ */

$GLOBALS[ 'TCA' ][ 'tx_quickshop_products' ][ 'ctrl' ][ 'tx_deal' ] = array(
		'marketplaces' => array(
				'ebay' => array(
						'environment' => array(
								'key' => $confArr[ 'ebayEnvironment' ], // sandbox, production
								'production' => array(
										'token' => $confArr[ 'ebayProductionToken' ] // obligate for production environment
								),
								'sandbox' => array(
										'token' => $confArr[ 'ebaySandboxToken' ] // obligate for sandbox environment
								)
						),
						'fields' => array(
								'description' => array(
										'datasheet' => 'datasheet', // optional (must be a TYPO3 table)
										'description' => 'description', // obligate
										'short' => 'short', // optional
								),
								'ean' => 'ean', // optional
								'filter' => array(
										'category' => 'tx_quickshop_categories', // optional
										'dimension' => 'tx_quickshop_dimension', // optional
										'material' => 'tx_quickshop_material', // optional
								),
								'gross' => 'price', // obligate
								'pictures' => 'image', // optional
								'sku' => 'sku', // obligate: sku or uid
								'tax' => array(
										'vatpercent' => 'tax', // obligate: field for vat rate / tax
										'normal' => '19', // obligate: value for the normal tax rate. Needed, if tax stores 1 for reduced and 2 for normal tax rate.
										'reduced' => '7', // obligate: value for the reduced tax rate. Needed, if tax stores 1 for reduced and 2 for normal tax rate.
								),
								'title' => 'title', // obligate
						),
						'manufacturer' => array(
								'company' => $confArr[ 'manufacturerCompany' ]
						),
						'marketplace' => $confArr[ 'ebayMarketplace' ],
						'paypal' => array(
								'production' => array(
										'email' => $confArr[ 'paypalProductionEmail' ] // optional
								),
								'sandbox' => array(
										'email' => $confArr[ 'paypalSandboxEmail' ] // optional
								)
						),
				),
		)
);

/* * ************************************************************************
 * TCA interface
 * ************************************************************************ */

$showRecordFieldList = $TCA[ 'tx_quickshop_products' ][ 'interface' ][ 'showRecordFieldList' ];
$showRecordFieldList = $showRecordFieldList
				. 'tx_deal_ebayaction,'
				. 'tx_deal_ebaycategoryid,'
				. 'tx_deal_ebayconditionid,'
				. 'tx_deal_ebaydispatchtimemax,'
				. 'tx_deal_ebayexternalLinks,'
				. 'tx_deal_ebayitemid,'
				. 'tx_deal_ebayitemstatus,'
				. 'tx_deal_ebaylistingduration,'
				. 'tx_deal_ebaylocation,'
				. 'tx_deal_ebaymode,'
				. 'tx_deal_ebaypaymentmethods,'
				. 'tx_deal_ebaypaymentmethodsdescription,'
				. 'tx_deal_ebayquantity,'
				. 'tx_deal_ebaylog,'
				. 'tx_deal_ebayreturnsacceptoption,'
				. 'tx_deal_ebayreturnpolicydescription,'
				. 'tx_deal_ebayshippingserviceadditionalcosts,'
				. 'tx_deal_ebayshippingservicecode,'
				. 'tx_deal_ebayshippingservicecosts,'
;
$TCA[ 'tx_quickshop_products' ][ 'interface' ][ 'showRecordFieldList' ] = $showRecordFieldList;


/* * ************************************************************************
 * TCA columns
 * ************************************************************************ */

$temporaryColumns = array(
		'tx_deal_ebayaction' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayaction',
				'config' => array(
						'type' => 'select',
						'items' => array(
//      array(
//        '',
//        'donothing',
//      ),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayaction_item_enableupdate',
										'enableupdate',
								),
//      array(
//        'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayaction_item_offeragain',
//        'offeragain',
//      ),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayaction_item_delete',
										'delete',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayaction_item_disable',
										'disable',
								),
						),
						'default' => 'enableupdate'
				),
		),
		'tx_deal_ebaycategoryid' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaycategoryid',
				'config' => Netzmacher\Deal\TCA\Tree::SelectTree(
								'tx_quickshop_products'
								, $tx_deal_ebaycategories
				),
		),
		'tx_deal_ebayconditionid' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid',
				'config' => array(
						'type' => 'select',
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid_item_1000',
										'1000',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid_item_1500',
										'1500',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid_item_2000',
										'2000',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid_item_2500',
										'2500',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid_item_3000',
										'3000',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid_item_7000',
										'7000',
								),
						),
						'default' => '1000'
				),
		),
		'tx_deal_ebaydispatchtimemax' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax',
				'config' => array(
						'type' => 'select',
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_atonce',
										'0',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_day_1',
										'1',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_days_2',
										'2',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_days_3',
										'3',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_days_4',
										'4',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_week_1',
										'5',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_weeks_2',
										'10',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_weeks_3',
										'15',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax_item_weeks_4',
										'20',
								),
						),
						'default' => '2'
				),
		),
		'tx_deal_ebayexternalLinks' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayexternalLinks',
				'config' => array(
						'type' => 'user',
						'userFunc' => 'Netzmacher\Deal\UserFunc\Prompts->promptExternalLinks',
				),
		),
		'tx_deal_ebayitemid' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayitemid',
				'config' => array(
						'type' => 'input',
						'size' => '30',
						'eval' => 'trim',
				//'readOnly' => '1',
				),
		),
		'tx_deal_ebayitemstatus' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayitemstatus',
				'config' => array(
						'type' => 'text',
						'cols' => 120,
						'rows' => 2,
						'pass_content' => true,
						'readOnly' => '1',
				),
		),
		'tx_deal_ebaylistingduration' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration',
				'config' => array(
						'type' => 'select',
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_1',
										'Days_1',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_3',
										'Days_3',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_5',
										'Days_5',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_7',
										'Days_7',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_10',
										'Days_10',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_14',
										'Days_14',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_21',
										'Days_21',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_30',
										'Days_30',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_60',
										'Days_60',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_90',
										'Days_90',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_days_120',
										'Days_120',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration_gtc',
										'GTC',
								),
						),
						'default' => 'Days_30',
				),
		),
		'tx_deal_ebaylocation' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylocation',
				'config' => array(
						'type' => 'input',
						'size' => '30',
						'max' => '60',
						// #i0015, #i0016, 141002, dwildt, 1+, 1-
						'eval' => 'required,trim',
				//'eval' => 'trim',
				),
		),
		'tx_deal_ebaymode' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaymode',
				'config' => array(
						'type' => 'select',
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaymode_item_off',
										'off',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaymode_item_live',
										'live',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaymode_item_test',
										'test',
								),
						),
						'default' => 'off',
				),
		),
		'tx_deal_ebayquantity' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayquantity',
				'config' => array(
						'type' => 'input',
						'size' => '5',
						'max' => '5',
						'eval' => 'int',
						'default' => 1
				),
		),
		'tx_deal_ebaypaymentmethods' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethods',
				'config' => array(
						'type' => 'select',
						'size' => 3,
						// #i0015, #i0016, 141002, dwildt, 1+, 1-
						'minitems' => 1,
						//'minitems' => 0,
						'maxitems' => 3,
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethods_item_cashonpickup',
										'CashOnPickup',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethods_item_paypal',
										'PayPal',
								),
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethods_item_paymentseedescription',
										'PaymentSeeDescription',
								),
						),
				),
		),
		'tx_deal_ebaypaymentmethodsdescription' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethodsdescription',
				'config' => array(
						'type' => 'text',
						'cols' => '20',
						'rows' => '3',
				),
		),
		'tx_deal_ebaylog' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylog',
				'config' => array(
						'type' => 'text',
						'cols' => '50',
						'rows' => '10',
				),
		),
		'tx_deal_ebayreturnsacceptoption' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayreturnsacceptoption',
				'config' => array(
						'type' => 'select',
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayreturnsacceptoption_item_returnsaccepted',
										'ReturnsAccepted',
								),
						),
				),
		),
		'tx_deal_ebayreturnpolicydescription' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayreturnpolicydescription',
				'config' => array(
						'type' => 'text',
						'cols' => '30',
						'rows' => '5',
				),
		),
		'tx_deal_ebayshippingserviceadditionalcosts' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingserviceadditionalcosts',
				'config' => array(
						'type' => 'input',
						'size' => '10',
						'max' => '10',
						// #i0015, #i0016, 141002, dwildt, 1+, 1-
						'eval' => 'required,double2,nospace',
						//'eval' => 'double2,nospace',
						'default' => '0.00',
				),
		),
		'tx_deal_ebayshippingservicecode' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingservicecode',
				'config' => array(
						'type' => 'select',
						'items' => array(
								array(
										'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingservicecode_item_null',
										null,
								),
						),
						'size' => 1,
						'minitems' => 0,
						'maxitems' => 1,
						'foreign_table' => $tx_deal_ebayshippingservicecode,
						//'foreign_table_where' => 'AND tx_deal_ebayshippingservicecode.pid=###CURRENT_PID### ORDER BY tx_deal_ebayshippingservicecode.uid',
						'foreign_table_where' => 'ORDER BY ' . $tx_deal_ebayshippingservicecode . '.title',
						'MM' => 'tx_quickshop_mm',
						"MM_match_fields" => array(
								'table_local' => 'tx_quickshop_products',
								'table_foreign' => $tx_deal_ebayshippingservicecode,
						),
						"MM_insert_fields" => array(
								'table_local' => 'tx_quickshop_products',
								'table_foreign' => $tx_deal_ebayshippingservicecode,
						),
				),
		),
		'tx_deal_ebayshippingservicecosts' => array(
				'exclude' => 1,
				'label' => 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingservicecosts',
				'config' => array(
						'type' => 'input',
						'size' => '10',
						'max' => '10',
						// #i0015, #i0016, 141002, dwildt, 1+, 1-
						'eval' => 'required,double2,nospace',
				//'eval' => 'double2,nospace',
				),
		),
);

ExtensionManagementUtility::addTCAcolumns(
				'tx_quickshop_products'
				, $temporaryColumns
);


/* * ************************************************************************
 * TCA palettes
 * ************************************************************************ */

//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebaymodeaction' ][ 'canNotCollapse' ] = 1;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebaymodeaction' ][ 'showitem' ] = ''
//				. 'tx_deal_ebayaction;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayaction,'
//				. 'tx_deal_ebaymode;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaymode'
//;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebayitem' ][ 'canNotCollapse' ] = 1;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebayitem' ][ 'showitem' ] = ''
//				. 'tx_deal_ebayitemid;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayitemid,'
//				. 'tx_deal_ebayconditionid;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayconditionid,'
//				. 'tx_deal_ebayquantity;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayquantity, --linebreak--,'
//				. 'tx_deal_ebaycategoryid;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaycategoryid'
//;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebaylengthoftime' ][ 'canNotCollapse' ] = 1;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebaylengthoftime' ][ 'showitem' ] = ''
//				. 'tx_deal_ebaydispatchtimemax;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaydispatchtimemax,'
//				. 'tx_deal_ebaylistingduration;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylistingduration,'
//;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebaypaymentmethods' ][ 'canNotCollapse' ] = 1;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebaypaymentmethods' ][ 'showitem' ] = ''
//				. 'tx_deal_ebaypaymentmethods;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethods,'
//				. 'tx_deal_ebaypaymentmethodsdescription;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaypaymentmethodsdescription'
//;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebayreturnpolicy' ][ 'canNotCollapse' ] = 1;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebayreturnpolicy' ][ 'showitem' ] = ''
//				. 'tx_deal_ebayreturnsacceptoption;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayreturnsacceptoption,'
//				. 'tx_deal_ebayreturnpolicydescription;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayreturnpolicydescription'
//;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebayshipping' ][ 'canNotCollapse' ] = 1;
//$TCA[ 'tx_quickshop_products' ][ 'palettes' ][ 'tx_deal_ebayshipping' ][ 'showitem' ] = ''
//				. 'tx_deal_ebayshippingservicecode;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingservicecode, --linebreak--,'
//				. 'tx_deal_ebayshippingservicecosts;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingservicecosts,'
//				. 'tx_deal_ebayshippingserviceadditionalcosts;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebayshippingserviceadditionalcosts,'
//				. 'tx_deal_ebaylocation;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_deal_ebaylocation'
//;

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebaymodeaction'
				, 'tx_deal_ebayaction,tx_deal_ebaymode'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebayitem'
				, 'tx_deal_ebayitemid,tx_deal_ebayconditionid,tx_deal_ebayquantity, --linebreak--'
				. ',tx_deal_ebaycategoryid'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebaylengthoftime'
				, 'tx_deal_ebaydispatchtimemax,tx_deal_ebaylistingduration'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebaypaymentmethods'
				, 'tx_deal_ebaypaymentmethods,tx_deal_ebaypaymentmethodsdescription'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebaylengthoftime'
				, 'tx_deal_ebaydispatchtimemax,tx_deal_ebaylistingduration'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebayreturnpolicy'
				, 'tx_deal_ebayreturnsacceptoption,tx_deal_ebayreturnpolicydescription'
				, ''
);

ExtensionManagementUtility::addFieldsToPalette(
				'tx_quickshop_products'
				, 'tx_deal_ebayshipping'
				, 'tx_deal_ebayshippingservicecode, --linebreak--'
				. ',tx_deal_ebayshippingservicecosts,tx_deal_ebayshippingserviceadditionalcosts,tx_deal_ebaylocation'
				, ''
);

/* * ************************************************************************
 * TCA types
 * ************************************************************************ */

//$str_showitem = $TCA[ 'tx_quickshop_products' ][ 'types' ][ '0' ][ 'showitem' ];
//$arr_showitem = explode( '--div--;', $str_showitem );
//$arr_new_showitem = array();
//foreach( $arr_showitem as $key => $value )
//{
//	switch( true )
//	{
//		case($key < $int_div_position):
//			$arr_new_showitem[ $key ] = $value;
//			break;
//		case($key == $int_div_position):
//			$arr_new_showitem[ $key ] = ''
//							. 'LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_quickshop_products_div_tx_deal_ebay, '
//							. 'tx_deal_ebayitemstatus,'
//							. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebaymodeaction;tx_deal_ebaymodeaction,'
//							. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebayitem;tx_deal_ebayitem,'
//							. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebayshipping;tx_deal_ebayshipping,'
//							. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebaylengthoftime;tx_deal_ebaylengthoftime,'
//							. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebaypaymentmethods;tx_deal_ebaypaymentmethods,'
//							. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebayreturnpolicy;tx_deal_ebayreturnpolicy,'
//							. 'tx_deal_ebaylog,'
//							. 'tx_deal_ebayexternalLinks,'
//			;
//			$arr_new_showitem[ $key + 1 ] = $value;
//			break;
//		case($key > $int_div_position):
//		default:
//			$arr_new_showitem[ $key + 1 ] = $value;
//			break;
//	}
//}
//$str_showitem = implode( '--div--;', $arr_new_showitem );
//$TCA[ 'tx_quickshop_products' ][ 'types' ][ '0' ][ 'showitem' ] = $str_showitem;
// #i0017, 141002, dwildt, 4+;
$TCA[ 'tx_quickshop_products' ][ 'types' ][ '0' ][ 'subtype_value_field' ] = 'tx_deal_ebaymode';
$TCA[ 'tx_quickshop_products' ][ 'types' ][ '0' ][ 'subtypes_excludelist' ] = array(
		'off' => ''
		//. 'tx_deal_ebayaction,'
		. 'tx_deal_ebaycategoryid,'
		. 'tx_deal_ebayconditionid,'
		. 'tx_deal_ebaydispatchtimemax,'
		. 'tx_deal_ebayexternalLinks,'
		. 'tx_deal_ebayitemid,'
		. 'tx_deal_ebayitemstatus,'
		. 'tx_deal_ebaylistingduration,'
		. 'tx_deal_ebaylocation,'
		// . 'tx_deal_ebaymode,'
		. 'tx_deal_ebaypaymentmethods,'
		. 'tx_deal_ebaypaymentmethodsdescription,'
		. 'tx_deal_ebayquantity,'
		. 'tx_deal_ebaylog,'
		. 'tx_deal_ebayreturnsacceptoption,'
		. 'tx_deal_ebayreturnpolicydescription,'
		. 'tx_deal_ebayshippingserviceadditionalcosts,'
		. 'tx_deal_ebayshippingservicecode,'
		. 'tx_deal_ebayshippingservicecosts,'
				,
);

//unset( $int_div_position );

ExtensionManagementUtility::addToAllTCAtypes(
				'tx_quickshop_products'
				, ''
				. '--div--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:tx_quickshop_products_div_tx_deal_ebay, '
				. 'tx_deal_ebayitemstatus,'
				. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebaymodeaction;tx_deal_ebaymodeaction,'
				. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebayitem;tx_deal_ebayitem,'
				. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebayshipping;tx_deal_ebayshipping,'
				. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebaylengthoftime;tx_deal_ebaylengthoftime,'
				. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebaypaymentmethods;tx_deal_ebaypaymentmethods,'
				. '--palette--;LLL:EXT:deal/Configuration/TCA/Overrides/tx_quickshop_products.xml:palette_tx_deal_ebayreturnpolicy;tx_deal_ebayreturnpolicy,'
				. 'tx_deal_ebaylog,'
				. 'tx_deal_ebayexternalLinks,'
				, ''
				, ''
);
